## psx4m 0.4.3

=== debian/changelog ===
psx4m (0.4.3) fremantle; urgency=low

  * Keyboard maping by beli
  * Abbeyfix
  * Gui
  * Diagonal keys
  

 -- Bonapart <bonapart@programist.ru>  Sun,  24 Oct 2010 02:37:27 +0200
 
