## psx4m 0.4.3-1

=== debian/changelog ===
psx4m (0.4.3-1) fremantle; urgency=low

  * save\load may work, or  not?
  

 -- Bonapart <bonapart@programist.ru>  Sun,  25 Oct 2010 02:37:27 +0200
 
