## psx4m 0.4.3-2

=== debian/changelog ===
psx4m (0.4.3-2) fremantle; urgency=low

  * some fixes, do not try it!
  

 -- Bonapart <bonapart@programist.ru>  Sun,  6 Nov 2010 15:46:27 +0200
 
 
