## psx4m 0.4.3-3

=== debian/changelog ===
psx4m (0.4.3-3) fremantle; urgency=low

  * some fixes, do not try it!
  * fullcreen support

 -- Bonapart <bonapart@programist.ru>  Sun,  6 Nov 2010 17:32:27 +0200
 
 
