## psx4m 0.4.3-4

=== debian/changelog ===
psx4m (0.4.3-4) fremantle; urgency=low

  * some fixes, do not try it!
  * fullcreen support
  * speed hacks
  * save and load slots works

 -- Bonapart <bonapart@programist.ru>  Sun,  6 Nov 2010 23:00:27 +0200
 
 
