## psx4m 0.4.3-5

=== debian/changelog ===
psx4m (0.4.3-5) fremantle; urgency=low

	* fixes and pathes from 0.4.3-1

 -- Bonapart <bonapart@programist.ru>  Sun,  7 Nov 2010 00:35:27 +0200
 
