=== debian/changelog ===
psx4m (0.4.4) unstable; urgency=low

	* auto frame skip
	* a lot of speed hacks


 -- Bonapart <bonapart@programist.ru>  Sun,  13 Nov 2010 12:05:27 +0200
