=== debian/changelog ===
psx4m (0.4.4-1) unstable; urgency=low

	* removing fake speed hack

 -- Bonapart <bonapart@programist.ru>  Sun,  13 Nov 2010 12:05:27 +0200
