## psx4m 0.4.5

=== debian/changelog ===
psx4m (0.4.5) unstable; urgency=low

	* nobody should install this!

 -- Bonapart <bonapart@programist.ru>  Sun,  13 Nov 2010 12:05:27 +0200
