## psx4m 0.4.5-1

=== debian/changelog ===
psx4m (0.4.5-1) unstable; urgency=low

	* Removed peteGPU as <cencoured> thing that can't work as i wish
	* Removed experemental ASM code in GPU(ff bugs)


 -- Bonapart <bonapart@programist.ru>  Sun,  17 Nov 2010 12:05:27 +0200
