## psx4m 0.4.5-2

=== debian/changelog ===
psx4m (0.4.5-2) unstable; urgency=low

	* Autoframe skip improvments

 -- Bonapart <bonapart@programist.ru>  Sun,  20 Nov 2010 23:05:27 +0200
