=== debian/changelog ===
psx4m (0.4.5-3) unstable; urgency=low

	* Accelometer moves

 -- Bonapart <bonapart@programist.ru>  Sun,  20 Nov 2010 23:05:27 +0200
