=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: psx4m
 Section: user/games
 Priority: extra
-Maintainer: Tomasz Sterna <tomek@xiaoka.com>
-Build-Depends: debhelper (>= 5), zlib1g-dev, libhildon1-dev, libpulse-dev
+Maintainer: Bonapart <bonapart@programist.ru>
+Build-Depends: debhelper (>= 5), zlib1g-dev,libgles1-sgx-img-dev,opengles-sgx-img-common-dev, libhildon1-dev, libpulse-dev
 Standards-Version: 3.7.3
 
 Package: psx4m
@@ -11,7 +11,7 @@
 Description: Sony PlayStation emulator
 Conflicts: psx4all
 Replaces: psx4all
-XSBC-Bugtracker: http://github.com/smokku/psx4m/issues
+XSBC-Bugtracker: http://code.google.com/p/psx4m/issues/list
 XB-Maemo-Display-Name: PSX4M
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
