## psx4m 0.4.5-4

=== debian/changelog ===
psx4m (0.4.5-4) unstable; urgency=low

	* Some fixes in build process
	* New kbd map


 -- Bonapart <bonapart@programist.ru>  Sun,  22 Jan 2011 15:46:27 +0200
