## psx4m 0.4.5-6

=== debian/changelog ===
psx4m (0.4.5-6) unstable; urgency=low

  * Added -mcd1 and -mcd2 options

 -- sakya <sakya_tg@yahoo.it>  Mon,  02 Apr 2011 12:50:31 +0200

psx4m (0.4.5-5) unstable; urgency=low

	* New options


 -- Bonapart <bonapart@programist.ru>  Sun,  22 Jan 2011 15:46:27 +0200
