## psx4m 0.4.5-7

=== debian/changelog ===
psx4m (0.4.5-7) unstable; urgency=low

  * Fixed savestate
  * Added save state slot selection
  * Added notification on save state slot change
  * Fixed auto load savestate

 -- sakya <sakya_tg@yahoo.it>  Fri,  06 Apr 2012 13:54:56 +0200
