## psx4m 0.4.5-9

=== debian/changelog ===
psx4m (0.4.5-9) unstable; urgency=low

  * Added option -keys to set the keys config file
  * Added option -autosave

 -- sakya <sakya_tg@yahoo.it>  Sat,  28 Apr 2012 17:55:28 +0200

psx4m (0.4.5-8) unstable; urgency=low

  * Fixed L1/L2/R1/R2

 -- sakya <sakya_tg@yahoo.it>  Thu,  12 Apr 2012 09:28:37 +0200
